using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace WindowsModello
{
	/// <summary>
	/// Descrizione di riepilogo per AutenticatoreForm.
	/// </summary>
	public class AutenticatoreForm : System.Windows.Forms.Form
	{

		private Autenticatore a_autenticatore;
		
		private System.Windows.Forms.TextBox usernameTextBox;
		private System.Windows.Forms.TextBox passwordTextBox;
		private System.Windows.Forms.Label usernameLabel;
		private System.Windows.Forms.Label passwordLabel;
		private System.Windows.Forms.Button okButton;
		private System.Windows.Forms.Button cancelButton;
		private System.Windows.Forms.Button exitButton;
		/// <summary>
		/// Variabile di progettazione necessaria.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public AutenticatoreForm()
		{
			//
			// Necessario per il supporto di Progettazione Windows Form
			//
			InitializeComponent();

			//
			// TODO: aggiungere il codice del costruttore dopo la chiamata a InitializeComponent.
			//
			a_autenticatore = new Autenticatore();
		}

		/// <summary>
		/// Pulire le risorse in uso.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Metodo necessario per il supporto della finestra di progettazione. Non modificare
		/// il contenuto del metodo con l'editor di codice.
		/// </summary>
		private void InitializeComponent()
		{
			this.usernameTextBox = new System.Windows.Forms.TextBox();
			this.passwordTextBox = new System.Windows.Forms.TextBox();
			this.usernameLabel = new System.Windows.Forms.Label();
			this.passwordLabel = new System.Windows.Forms.Label();
			this.okButton = new System.Windows.Forms.Button();
			this.cancelButton = new System.Windows.Forms.Button();
			this.exitButton = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// usernameTextBox
			// 
			this.usernameTextBox.Location = new System.Drawing.Point(184, 64);
			this.usernameTextBox.Name = "usernameTextBox";
			this.usernameTextBox.Size = new System.Drawing.Size(128, 22);
			this.usernameTextBox.TabIndex = 0;
			this.usernameTextBox.Text = "";
			// 
			// passwordTextBox
			// 
			this.passwordTextBox.Location = new System.Drawing.Point(184, 120);
			this.passwordTextBox.Name = "passwordTextBox";
			this.passwordTextBox.Size = new System.Drawing.Size(128, 22);
			this.passwordTextBox.TabIndex = 1;
			this.passwordTextBox.Text = "";
			// 
			// usernameLabel
			// 
			this.usernameLabel.Location = new System.Drawing.Point(64, 64);
			this.usernameLabel.Name = "usernameLabel";
			this.usernameLabel.TabIndex = 2;
			this.usernameLabel.Text = "Username";
			// 
			// passwordLabel
			// 
			this.passwordLabel.Location = new System.Drawing.Point(64, 120);
			this.passwordLabel.Name = "passwordLabel";
			this.passwordLabel.TabIndex = 3;
			this.passwordLabel.Text = "Password";
			// 
			// okButton
			// 
			this.okButton.Location = new System.Drawing.Point(64, 184);
			this.okButton.Name = "okButton";
			this.okButton.Size = new System.Drawing.Size(88, 24);
			this.okButton.TabIndex = 4;
			this.okButton.Text = "ok";
			this.okButton.Click += new System.EventHandler(this.okButton_Click);
			// 
			// cancelButton
			// 
			this.cancelButton.Location = new System.Drawing.Point(192, 184);
			this.cancelButton.Name = "cancelButton";
			this.cancelButton.Size = new System.Drawing.Size(88, 24);
			this.cancelButton.TabIndex = 5;
			this.cancelButton.Text = "cancel";
			this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
			// 
			// exitButton
			// 
			this.exitButton.Location = new System.Drawing.Point(328, 184);
			this.exitButton.Name = "exitButton";
			this.exitButton.Size = new System.Drawing.Size(88, 24);
			this.exitButton.TabIndex = 6;
			this.exitButton.Text = "exit";
			this.exitButton.Click += new System.EventHandler(this.exitButton_Click);
			// 
			// AutenticatoreForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 15);
			this.ClientSize = new System.Drawing.Size(448, 272);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.exitButton,
																		  this.cancelButton,
																		  this.okButton,
																		  this.passwordLabel,
																		  this.usernameLabel,
																		  this.passwordTextBox,
																		  this.usernameTextBox});
			this.Name = "AutenticatoreForm";
			this.Text = "AutenticatoreForm";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Il punto di ingresso principale dell'applicazione.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new AutenticatoreForm());
		}

		private void okButton_Click(object sender, System.EventArgs e)
		{
			bool res; 
				res = a_autenticatore.checkUsernameAndPassword(
					usernameTextBox.Text, 
					passwordTextBox.Text);
			if (res == true) 
			{
				Console.WriteLine("Esatto!");
				
			} // end if
			else 
			{
				Console.WriteLine("Errato!!!");
			}
        
		}

		private void cancelButton_Click(object sender, System.EventArgs e)
		{
			usernameTextBox.Text = "";
			passwordTextBox.Text = "";
		}

		private void exitButton_Click(object sender, System.EventArgs e)
		{
			this.Dispose();
		}

	}
} // end namespace WindowsModello
